<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/timer.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">timer.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/dd0/timer_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#ifndef __TIMER_H__</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#define __TIMER_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga72feaa98c11709d47e90b45a32677b92">   33</a></span><span class="preprocessor">#define TIMER_ONESHOT_MODE                      (0UL)                               </span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga41103f29e7760dcf1747b06d93e1cc59">   34</a></span><span class="preprocessor">#define TIMER_PERIODIC_MODE                     (1UL &lt;&lt; TIMER_CTL_MODE_SEL_Pos)     </span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad177f87a38087cb248943f9539af9550">   35</a></span><span class="preprocessor">#define TIMER_TOGGLE_MODE                       (2UL &lt;&lt; TIMER_CTL_MODE_SEL_Pos)     </span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaea824dab491cf5c772b2695ac91b4220">   36</a></span><span class="preprocessor">#define TIMER_CONTINUOUS_MODE                   (3UL &lt;&lt; TIMER_CTL_MODE_SEL_Pos)     </span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga171c813372b2caafa1aee17b76a0e21e">   38</a></span><span class="preprocessor">#define TIMER_CAPTURE_FREE_COUNTING_MODE        (0UL)                               </span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5b577508c75113be469bb74b979af91e">   39</a></span><span class="preprocessor">#define TIMER_CAPTURE_TRIGGER_COUNTING_MODE     (TIMER_CTL_TCAP_CNT_MODE_Msk)       </span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab10e49633e66d5322d9050a7b2ab6543">   40</a></span><span class="preprocessor">#define TIMER_CAPTURE_COUNTER_RESET_MODE        (TIMER_CTL_TCAP_MODE_Msk)           </span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab928d0fd637d9c0b5472c58c8433fe38">   42</a></span><span class="preprocessor">#define TIMER_CAPTURE_FALLING_EDGE              (0UL)                               </span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabf4f88d1b078222b7053a850cec8f5f6">   43</a></span><span class="preprocessor">#define TIMER_CAPTURE_RISING_EDGE               (1UL &lt;&lt; TIMER_CTL_TCAP_EDGE_Pos)    </span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga015b901cc1d26cc790d5fdfd4a4624ca">   44</a></span><span class="preprocessor">#define TIMER_CAPTURE_FALLING_THEN_RISING_EDGE  (2UL &lt;&lt; TIMER_CTL_TCAP_EDGE_Pos)    </span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf321dd7ed2d6e6c63bc0a0d9195b623f">   45</a></span><span class="preprocessor">#define TIMER_CAPTURE_RISING_THEN_FALLING_EDGE  (3UL &lt;&lt; TIMER_CTL_TCAP_EDGE_Pos)    </span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2cc45560af8a91021231fff3e8b7d43a">   47</a></span><span class="preprocessor">#define TIMER_COUNTER_RISING_EDGE               (TIMER_CTL_EVENT_EDGE_Msk)          </span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7b7b53305f2df523e3e594f38d0d2c2b">   48</a></span><span class="preprocessor">#define TIMER_COUNTER_FALLING_EDGE              (0UL)                               </span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5696e0b40e902b9e09e400730d958ccb">   50</a></span><span class="preprocessor">#define TIMER_TIMEOUT_TRIGGER                   (0UL)                               </span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga02b0a0748106607aa66c7aa9fd26628e">   51</a></span><span class="preprocessor">#define TIMER_CAPTURE_TRIGGER                   (TIMER_CTL_CAP_TRG_EN_Msk)           </span><span class="comment">/* end of group NANO1X2_TIMER_EXPORTED_CONSTANTS */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6e49fe7813cac1655c534a8f61be9cc9">   67</a></span><span class="preprocessor">#define TIMER_SET_CMP_VALUE(timer, u32Value) ((timer)-&gt;CMPR = (u32Value))</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga221a29b6c59e6a5bd198050ec97355ab">   77</a></span><span class="preprocessor">#define TIMER_SET_PRESCALE_VALUE(timer, u32Value) ((timer)-&gt;PRECNT = (u32Value))</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae6280e5315f28fd136e7fa168337891d">   86</a></span><span class="preprocessor">#define TIMER_IS_ACTIVE(timer) ((timer)-&gt;CTL &amp; TIMER_CTL_TMR_ACT_Msk ? 1 : 0)</span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span> </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span> </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0fd1d66fab73f93376485bb989fc7c67">   94</a></span>__STATIC_INLINE <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0fd1d66fab73f93376485bb989fc7c67">TIMER_Start</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>{</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    timer-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gabb8d9df4695b742a04b52a7a64594322">CTL</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a0a4046a38359302182a2a00a88a48754">TIMER_CTL_TMR_EN_Msk</a>;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>}</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span> </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno"><a class="line" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3095d4cc3f95ffec3c02cfd1b38db9e8">  104</a></span>__STATIC_INLINE <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3095d4cc3f95ffec3c02cfd1b38db9e8">TIMER_Stop</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>{</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    timer-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gabb8d9df4695b742a04b52a7a64594322">CTL</a> &amp;= ~TIMER_CTL_TMR_EN_Msk;</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>}</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span> </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno"><a class="line" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad445a69f7f52303a643e5f9387a558c3">  115</a></span>__STATIC_INLINE <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad445a69f7f52303a643e5f9387a558c3">TIMER_EnableWakeup</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>{</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    timer-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gabb8d9df4695b742a04b52a7a64594322">CTL</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a701d6bb36ed0051a9df75ca3e7325c78">TIMER_CTL_WAKE_EN_Msk</a>;</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>}</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span> </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno"><a class="line" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga583f9d7339d496764f99429fbd81dbab">  125</a></span>__STATIC_INLINE <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga583f9d7339d496764f99429fbd81dbab">TIMER_DisableWakeup</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>{</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    timer-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gabb8d9df4695b742a04b52a7a64594322">CTL</a> &amp;= ~TIMER_CTL_WAKE_EN_Msk;</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>}</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span> </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span> </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno"><a class="line" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga93f7d80dbfd81ef63f185a9b1593f2d8">  136</a></span>__STATIC_INLINE <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga93f7d80dbfd81ef63f185a9b1593f2d8">TIMER_EnableCaptureDebounce</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>{</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    timer-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gabb8d9df4695b742a04b52a7a64594322">CTL</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a92c2d1fd423adea1fb91f9241b9b4fb0">TIMER_CTL_TCAP_DEB_EN_Msk</a>;</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>}</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span> </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno"><a class="line" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga136dfd19065e793a25d724a558a6282b">  146</a></span>__STATIC_INLINE <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga136dfd19065e793a25d724a558a6282b">TIMER_DisableCaptureDebounce</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>{</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    timer-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gabb8d9df4695b742a04b52a7a64594322">CTL</a> &amp;= ~TIMER_CTL_TCAP_DEB_EN_Msk;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>}</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span> </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span> </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno"><a class="line" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31b3fb31ec0e81e3d76ea04434a927ef">  157</a></span>__STATIC_INLINE <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31b3fb31ec0e81e3d76ea04434a927ef">TIMER_EnableEventCounterDebounce</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>{</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>    timer-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gabb8d9df4695b742a04b52a7a64594322">CTL</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a7e4d206d4784fcce3e26f858a0f221ef">TIMER_CTL_EVNT_DEB_EN_Msk</a>;</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>}</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span> </div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno"><a class="line" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga90c44d7420eb48f3e68aed6218140b76">  167</a></span>__STATIC_INLINE <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga90c44d7420eb48f3e68aed6218140b76">TIMER_DisableEventCounterDebounce</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>{</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>    timer-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gabb8d9df4695b742a04b52a7a64594322">CTL</a> &amp;= ~TIMER_CTL_EVNT_DEB_EN_Msk;</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>}</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span> </div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno"><a class="line" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga52dcaf3256ba36374a25b92acb56de78">  177</a></span>__STATIC_INLINE <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga52dcaf3256ba36374a25b92acb56de78">TIMER_EnableInt</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>{</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    timer-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga1b93de0ad6cd08676926bcff6888c10d">IER</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a94ce9cfda8650cce267a7010c3f30bdc">TIMER_IER_TMR_IE_Msk</a>;</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>}</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span> </div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno"><a class="line" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga46ea44652b848c9e942d1896b32ce771">  187</a></span>__STATIC_INLINE <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga46ea44652b848c9e942d1896b32ce771">TIMER_DisableInt</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>{</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>    timer-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga1b93de0ad6cd08676926bcff6888c10d">IER</a> &amp;= ~TIMER_IER_TMR_IE_Msk;</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>}</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span> </div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno"><a class="line" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2287e49bacc47dc186b4f1a784ccf70">  197</a></span>__STATIC_INLINE <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2287e49bacc47dc186b4f1a784ccf70">TIMER_EnableCaptureInt</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>{</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>    timer-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga1b93de0ad6cd08676926bcff6888c10d">IER</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a2d892ba5d7d198be075c9844341e7357">TIMER_IER_TCAP_IE_Msk</a>;</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>}</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span> </div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno"><a class="line" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab020df868b09255cae42e676f2ed7113">  207</a></span>__STATIC_INLINE <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab020df868b09255cae42e676f2ed7113">TIMER_DisableCaptureInt</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>{</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>    timer-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga1b93de0ad6cd08676926bcff6888c10d">IER</a> &amp;= ~TIMER_IER_TCAP_IE_Msk;</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>}</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span> </div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno"><a class="line" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaefa1dedc6523e6c1988cde80a514957e">  219</a></span>__STATIC_INLINE uint32_t <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaefa1dedc6523e6c1988cde80a514957e">TIMER_GetIntFlag</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>{</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>    <span class="keywordflow">return</span>(timer-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa7679f758ebbdcf746f8b03195364b47">ISR</a> &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a1ad6a96efd621dbe863925dd1ca58211">TIMER_ISR_TMR_IS_Msk</a> ? 1 : 0);</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>}</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span> </div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno"><a class="line" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0e4d868cd866609e1b98e685029e399d">  229</a></span>__STATIC_INLINE <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0e4d868cd866609e1b98e685029e399d">TIMER_ClearIntFlag</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>{</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>    timer-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa7679f758ebbdcf746f8b03195364b47">ISR</a> = <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a1ad6a96efd621dbe863925dd1ca58211">TIMER_ISR_TMR_IS_Msk</a>;</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>}</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span> </div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno"><a class="line" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga348a52b97a987e141d4406e5bb253896">  241</a></span>__STATIC_INLINE uint32_t <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga348a52b97a987e141d4406e5bb253896">TIMER_GetCaptureIntFlag</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>{</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>    <span class="keywordflow">return</span>(timer-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa7679f758ebbdcf746f8b03195364b47">ISR</a> &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a0e84bcad8e84f5ca9c36f98ec107ec12">TIMER_ISR_TCAP_IS_Msk</a> ? 1 : 0);</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>}</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span> </div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno"><a class="line" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d5a910f2caff7a8e7ee2390a534463c">  251</a></span>__STATIC_INLINE <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d5a910f2caff7a8e7ee2390a534463c">TIMER_ClearCaptureIntFlag</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>{</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>    timer-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa7679f758ebbdcf746f8b03195364b47">ISR</a> = <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a0e84bcad8e84f5ca9c36f98ec107ec12">TIMER_ISR_TCAP_IS_Msk</a>;</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>}</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span> </div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno"><a class="line" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3e1ee4f64bd158bbb76acaac4e25b90a">  263</a></span>__STATIC_INLINE uint32_t <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3e1ee4f64bd158bbb76acaac4e25b90a">TIMER_GetWakeupFlag</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>{</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>    <span class="keywordflow">return</span> (timer-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa7679f758ebbdcf746f8b03195364b47">ISR</a> &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a22e56b022133a66b9a13a0ba72d54c0c">TIMER_ISR_TMR_WAKE_STS_Msk</a> ? 1 : 0);</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>}</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span> </div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno"><a class="line" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf78a85b8781c5cba0d3dfaa30b9c1248">  273</a></span>__STATIC_INLINE <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf78a85b8781c5cba0d3dfaa30b9c1248">TIMER_ClearWakeupFlag</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>{</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>    timer-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa7679f758ebbdcf746f8b03195364b47">ISR</a> = <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a22e56b022133a66b9a13a0ba72d54c0c">TIMER_ISR_TMR_WAKE_STS_Msk</a>;</div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span>}</div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span> </div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno"><a class="line" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga04e518c504610075d9b8760d2e77eb82">  283</a></span>__STATIC_INLINE uint32_t <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga04e518c504610075d9b8760d2e77eb82">TIMER_GetCaptureData</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span>{</div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>    <span class="keywordflow">return</span> timer-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gac4508d4ae8dda154e5e796090fcafff3">TCAP</a>;</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span>}</div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span> </div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno"><a class="line" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0e28cb4a25335a5b32e2e5edcae2161f">  293</a></span>__STATIC_INLINE uint32_t <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0e28cb4a25335a5b32e2e5edcae2161f">TIMER_GetCounter</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span>{</div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno">  295</span>    <span class="keywordflow">return</span> (timer-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga7f5ea6a1af3b26e732ffec08d4d519f5">DR</a> &amp; 0xFFFFFF);</div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span>}</div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno">  297</span> </div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno">  298</span>uint32_t <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga234d45c63fb6f5e977dbef2294089621">TIMER_Open</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Mode, uint32_t u32Freq);</div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno">  299</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83113a85eb313523f4ec35ab585d8968">TIMER_Close</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer);</div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0dad1dbaf69f945c3d0d5aa91c4eef86">TIMER_Delay</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Usec);</div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno">  301</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga80ba64bdc40d36cb4a2139f4651b1c42">TIMER_EnableCapture</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32CapMode, uint32_t u32Edge);</div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno">  302</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1de0e4c2c84476d6c39d40a3bcaac18a">TIMER_DisableCapture</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer);</div>
<div class="line"><a id="l00303" name="l00303"></a><span class="lineno">  303</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72fc8741562dbff619aa7dfe8b73c0a7">TIMER_EnableEventCounter</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Edge);</div>
<div class="line"><a id="l00304" name="l00304"></a><span class="lineno">  304</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4460ba2e5f3bdddafab005e1e1fda0da">TIMER_DisableEventCounter</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer);</div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno">  305</span>uint32_t <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56facc5683886f3ff3b273a3b5e47fcd">TIMER_GetModuleClock</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer);</div>
<div class="line"><a id="l00306" name="l00306"></a><span class="lineno">  306</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga452e6b15e2da57f1bb4432e01831c818">TIMER_ResetCounter</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer);</div>
<div class="line"><a id="l00307" name="l00307"></a><span class="lineno">  307</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaaf424bb31a227f8d672f337e5c6a6059">TIMER_EnableFreqCounter</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer,</div>
<div class="line"><a id="l00308" name="l00308"></a><span class="lineno">  308</span>                             uint32_t u32DropCount,</div>
<div class="line"><a id="l00309" name="l00309"></a><span class="lineno">  309</span>                             uint32_t u32Timeout,</div>
<div class="line"><a id="l00310" name="l00310"></a><span class="lineno">  310</span>                             uint32_t u32EnableInt);</div>
<div class="line"><a id="l00311" name="l00311"></a><span class="lineno">  311</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga709e58fa2804ed056f2e77f4b26cf686">TIMER_DisableFreqCounter</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer);</div>
<div class="line"><a id="l00312" name="l00312"></a><span class="lineno">  312</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0d86a240e96da7b8db2c11f4bbb46693">TIMER_SetTriggerSource</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Src);</div>
<div class="line"><a id="l00313" name="l00313"></a><span class="lineno">  313</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa01b131e6bd3d6c51662670377d32c97">TIMER_SetTriggerTarget</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Mask);</div>
<div class="line"><a id="l00314" name="l00314"></a><span class="lineno">  314</span> <span class="comment">/* end of group NANO1X2_TIMER_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00316" name="l00316"></a><span class="lineno">  316</span> <span class="comment">/* end of group NANO1X2_TIMER_Driver */</span></div>
<div class="line"><a id="l00318" name="l00318"></a><span class="lineno">  318</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00320" name="l00320"></a><span class="lineno">  320</span> </div>
<div class="line"><a id="l00321" name="l00321"></a><span class="lineno">  321</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00322" name="l00322"></a><span class="lineno">  322</span>}</div>
<div class="line"><a id="l00323" name="l00323"></a><span class="lineno">  323</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00324" name="l00324"></a><span class="lineno">  324</span> </div>
<div class="line"><a id="l00325" name="l00325"></a><span class="lineno">  325</span><span class="preprocessor">#endif </span><span class="comment">//__TIMER_H__</span></div>
<div class="line"><a id="l00326" name="l00326"></a><span class="lineno">  326</span> </div>
<div class="line"><a id="l00327" name="l00327"></a><span class="lineno">  327</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a0a4046a38359302182a2a00a88a48754"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a0a4046a38359302182a2a00a88a48754">TIMER_CTL_TMR_EN_Msk</a></div><div class="ttdeci">#define TIMER_CTL_TMR_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09353">Nano1X2Series.h:9353</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a0e84bcad8e84f5ca9c36f98ec107ec12"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a0e84bcad8e84f5ca9c36f98ec107ec12">TIMER_ISR_TCAP_IS_Msk</a></div><div class="ttdeci">#define TIMER_ISR_TCAP_IS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09431">Nano1X2Series.h:9431</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a1ad6a96efd621dbe863925dd1ca58211"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a1ad6a96efd621dbe863925dd1ca58211">TIMER_ISR_TMR_IS_Msk</a></div><div class="ttdeci">#define TIMER_ISR_TMR_IS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09428">Nano1X2Series.h:9428</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a22e56b022133a66b9a13a0ba72d54c0c"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a22e56b022133a66b9a13a0ba72d54c0c">TIMER_ISR_TMR_WAKE_STS_Msk</a></div><div class="ttdeci">#define TIMER_ISR_TMR_WAKE_STS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09434">Nano1X2Series.h:9434</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a2d892ba5d7d198be075c9844341e7357"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a2d892ba5d7d198be075c9844341e7357">TIMER_IER_TCAP_IE_Msk</a></div><div class="ttdeci">#define TIMER_IER_TCAP_IE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09425">Nano1X2Series.h:9425</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a701d6bb36ed0051a9df75ca3e7325c78"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a701d6bb36ed0051a9df75ca3e7325c78">TIMER_CTL_WAKE_EN_Msk</a></div><div class="ttdeci">#define TIMER_CTL_WAKE_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09359">Nano1X2Series.h:9359</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a7e4d206d4784fcce3e26f858a0f221ef"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a7e4d206d4784fcce3e26f858a0f221ef">TIMER_CTL_EVNT_DEB_EN_Msk</a></div><div class="ttdeci">#define TIMER_CTL_EVNT_DEB_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09392">Nano1X2Series.h:9392</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a92c2d1fd423adea1fb91f9241b9b4fb0"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a92c2d1fd423adea1fb91f9241b9b4fb0">TIMER_CTL_TCAP_DEB_EN_Msk</a></div><div class="ttdeci">#define TIMER_CTL_TCAP_DEB_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09407">Nano1X2Series.h:9407</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a94ce9cfda8650cce267a7010c3f30bdc"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a94ce9cfda8650cce267a7010c3f30bdc">TIMER_IER_TMR_IE_Msk</a></div><div class="ttdeci">#define TIMER_IER_TMR_IE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09422">Nano1X2Series.h:9422</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga04e518c504610075d9b8760d2e77eb82"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga04e518c504610075d9b8760d2e77eb82">TIMER_GetCaptureData</a></div><div class="ttdeci">__STATIC_INLINE uint32_t TIMER_GetCaptureData(TIMER_T *timer)</div><div class="ttdoc">This function gets the Timer capture data.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd0/timer_8h_source.html#l00283">timer.h:283</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga0d86a240e96da7b8db2c11f4bbb46693"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0d86a240e96da7b8db2c11f4bbb46693">TIMER_SetTriggerSource</a></div><div class="ttdeci">void TIMER_SetTriggerSource(TIMER_T *timer, uint32_t u32Src)</div><div class="ttdoc">This function is used to select the interrupt source used to trigger other modules.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/timer_8c_source.html#l00304">timer.c:304</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga0dad1dbaf69f945c3d0d5aa91c4eef86"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0dad1dbaf69f945c3d0d5aa91c4eef86">TIMER_Delay</a></div><div class="ttdeci">void TIMER_Delay(TIMER_T *timer, uint32_t u32Usec)</div><div class="ttdoc">This API is used to create a delay loop for u32usec micro seconds.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/timer_8c_source.html#l00088">timer.c:88</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga0e28cb4a25335a5b32e2e5edcae2161f"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0e28cb4a25335a5b32e2e5edcae2161f">TIMER_GetCounter</a></div><div class="ttdeci">__STATIC_INLINE uint32_t TIMER_GetCounter(TIMER_T *timer)</div><div class="ttdoc">This function reports the current timer counter value.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd0/timer_8h_source.html#l00293">timer.h:293</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga0e4d868cd866609e1b98e685029e399d"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0e4d868cd866609e1b98e685029e399d">TIMER_ClearIntFlag</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_ClearIntFlag(TIMER_T *timer)</div><div class="ttdoc">This function clears the Timer time-out interrupt flag.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd0/timer_8h_source.html#l00229">timer.h:229</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga0fd1d66fab73f93376485bb989fc7c67"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0fd1d66fab73f93376485bb989fc7c67">TIMER_Start</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_Start(TIMER_T *timer)</div><div class="ttdoc">This function is used to start Timer counting.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd0/timer_8h_source.html#l00094">timer.h:94</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga136dfd19065e793a25d724a558a6282b"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga136dfd19065e793a25d724a558a6282b">TIMER_DisableCaptureDebounce</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_DisableCaptureDebounce(TIMER_T *timer)</div><div class="ttdoc">This function is used to disable the capture pin detection de-bounce function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd0/timer_8h_source.html#l00146">timer.h:146</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga1de0e4c2c84476d6c39d40a3bcaac18a"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1de0e4c2c84476d6c39d40a3bcaac18a">TIMER_DisableCapture</a></div><div class="ttdeci">void TIMER_DisableCapture(TIMER_T *timer)</div><div class="ttdoc">This API is used to disable the Timer capture function.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/timer_8c_source.html#l00160">timer.c:160</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga234d45c63fb6f5e977dbef2294089621"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga234d45c63fb6f5e977dbef2294089621">TIMER_Open</a></div><div class="ttdeci">uint32_t TIMER_Open(TIMER_T *timer, uint32_t u32Mode, uint32_t u32Freq)</div><div class="ttdoc">This API is used to configure timer to operate in specified mode and frequency. If timer cannot work ...</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/timer_8c_source.html#l00042">timer.c:42</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3095d4cc3f95ffec3c02cfd1b38db9e8"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3095d4cc3f95ffec3c02cfd1b38db9e8">TIMER_Stop</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_Stop(TIMER_T *timer)</div><div class="ttdoc">This function is used to stop Timer counting.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd0/timer_8h_source.html#l00104">timer.h:104</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga31b3fb31ec0e81e3d76ea04434a927ef"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31b3fb31ec0e81e3d76ea04434a927ef">TIMER_EnableEventCounterDebounce</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_EnableEventCounterDebounce(TIMER_T *timer)</div><div class="ttdoc">This function is used to enable the counter pin detection de-bounce function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd0/timer_8h_source.html#l00157">timer.h:157</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga348a52b97a987e141d4406e5bb253896"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga348a52b97a987e141d4406e5bb253896">TIMER_GetCaptureIntFlag</a></div><div class="ttdeci">__STATIC_INLINE uint32_t TIMER_GetCaptureIntFlag(TIMER_T *timer)</div><div class="ttdoc">This function indicates Timer capture interrupt occurred or not.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd0/timer_8h_source.html#l00241">timer.h:241</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3d5a910f2caff7a8e7ee2390a534463c"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d5a910f2caff7a8e7ee2390a534463c">TIMER_ClearCaptureIntFlag</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_ClearCaptureIntFlag(TIMER_T *timer)</div><div class="ttdoc">This function clears the Timer capture interrupt flag.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd0/timer_8h_source.html#l00251">timer.h:251</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3e1ee4f64bd158bbb76acaac4e25b90a"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3e1ee4f64bd158bbb76acaac4e25b90a">TIMER_GetWakeupFlag</a></div><div class="ttdeci">__STATIC_INLINE uint32_t TIMER_GetWakeupFlag(TIMER_T *timer)</div><div class="ttdoc">This function indicates Timer has waked up system or not.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd0/timer_8h_source.html#l00263">timer.h:263</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga4460ba2e5f3bdddafab005e1e1fda0da"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4460ba2e5f3bdddafab005e1e1fda0da">TIMER_DisableEventCounter</a></div><div class="ttdeci">void TIMER_DisableEventCounter(TIMER_T *timer)</div><div class="ttdoc">This API is used to disable the Timer event counter function.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/timer_8c_source.html#l00186">timer.c:186</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga452e6b15e2da57f1bb4432e01831c818"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga452e6b15e2da57f1bb4432e01831c818">TIMER_ResetCounter</a></div><div class="ttdeci">void TIMER_ResetCounter(TIMER_T *timer)</div><div class="ttdoc">This function is used to reset the Timer counter value.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/timer_8c_source.html#l00241">timer.c:241</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga46ea44652b848c9e942d1896b32ce771"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga46ea44652b848c9e942d1896b32ce771">TIMER_DisableInt</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_DisableInt(TIMER_T *timer)</div><div class="ttdoc">This function is used to disable the Timer time-out interrupt function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd0/timer_8h_source.html#l00187">timer.h:187</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga52dcaf3256ba36374a25b92acb56de78"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga52dcaf3256ba36374a25b92acb56de78">TIMER_EnableInt</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_EnableInt(TIMER_T *timer)</div><div class="ttdoc">This function is used to enable the Timer time-out interrupt function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd0/timer_8h_source.html#l00177">timer.h:177</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga56facc5683886f3ff3b273a3b5e47fcd"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56facc5683886f3ff3b273a3b5e47fcd">TIMER_GetModuleClock</a></div><div class="ttdeci">uint32_t TIMER_GetModuleClock(TIMER_T *timer)</div><div class="ttdoc">This API is used to get the clock frequency of Timer.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/timer_8c_source.html#l00197">timer.c:197</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga583f9d7339d496764f99429fbd81dbab"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga583f9d7339d496764f99429fbd81dbab">TIMER_DisableWakeup</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_DisableWakeup(TIMER_T *timer)</div><div class="ttdoc">This function is used to disable the Timer wake-up function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd0/timer_8h_source.html#l00125">timer.h:125</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga709e58fa2804ed056f2e77f4b26cf686"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga709e58fa2804ed056f2e77f4b26cf686">TIMER_DisableFreqCounter</a></div><div class="ttdeci">void TIMER_DisableFreqCounter(TIMER_T *timer)</div><div class="ttdoc">This function is used to disable the Timer frequency counter function.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/timer_8c_source.html#l00291">timer.c:291</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga72fc8741562dbff619aa7dfe8b73c0a7"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72fc8741562dbff619aa7dfe8b73c0a7">TIMER_EnableEventCounter</a></div><div class="ttdeci">void TIMER_EnableEventCounter(TIMER_T *timer, uint32_t u32Edge)</div><div class="ttdoc">This function is used to enable the Timer counter function with specify detection edge.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/timer_8c_source.html#l00175">timer.c:175</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga80ba64bdc40d36cb4a2139f4651b1c42"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga80ba64bdc40d36cb4a2139f4651b1c42">TIMER_EnableCapture</a></div><div class="ttdeci">void TIMER_EnableCapture(TIMER_T *timer, uint32_t u32CapMode, uint32_t u32Edge)</div><div class="ttdoc">This API is used to enable timer capture function with specified mode and capture edge.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/timer_8c_source.html#l00146">timer.c:146</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga83113a85eb313523f4ec35ab585d8968"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83113a85eb313523f4ec35ab585d8968">TIMER_Close</a></div><div class="ttdeci">void TIMER_Close(TIMER_T *timer)</div><div class="ttdoc">This API stops Timer counting and disable the Timer interrupt function.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/timer_8c_source.html#l00074">timer.c:74</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga90c44d7420eb48f3e68aed6218140b76"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga90c44d7420eb48f3e68aed6218140b76">TIMER_DisableEventCounterDebounce</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_DisableEventCounterDebounce(TIMER_T *timer)</div><div class="ttdoc">This function is used to disable the counter pin detection de-bounce function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd0/timer_8h_source.html#l00167">timer.h:167</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga93f7d80dbfd81ef63f185a9b1593f2d8"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga93f7d80dbfd81ef63f185a9b1593f2d8">TIMER_EnableCaptureDebounce</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_EnableCaptureDebounce(TIMER_T *timer)</div><div class="ttdoc">This function is used to enable the capture pin detection de-bounce function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd0/timer_8h_source.html#l00136">timer.h:136</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaa01b131e6bd3d6c51662670377d32c97"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa01b131e6bd3d6c51662670377d32c97">TIMER_SetTriggerTarget</a></div><div class="ttdeci">void TIMER_SetTriggerTarget(TIMER_T *timer, uint32_t u32Mask)</div><div class="ttdoc">This function is used to set modules trigger by timer interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/timer_8c_source.html#l00317">timer.c:317</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaaf424bb31a227f8d672f337e5c6a6059"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaaf424bb31a227f8d672f337e5c6a6059">TIMER_EnableFreqCounter</a></div><div class="ttdeci">void TIMER_EnableFreqCounter(TIMER_T *timer, uint32_t u32DropCount, uint32_t u32Timeout, uint32_t u32EnableInt)</div><div class="ttdoc">This function is used to enable the Timer frequency counter function.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/timer_8c_source.html#l00264">timer.c:264</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gab020df868b09255cae42e676f2ed7113"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab020df868b09255cae42e676f2ed7113">TIMER_DisableCaptureInt</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_DisableCaptureInt(TIMER_T *timer)</div><div class="ttdoc">This function is used to disable the Timer capture trigger interrupt function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd0/timer_8h_source.html#l00207">timer.h:207</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad2287e49bacc47dc186b4f1a784ccf70"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2287e49bacc47dc186b4f1a784ccf70">TIMER_EnableCaptureInt</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_EnableCaptureInt(TIMER_T *timer)</div><div class="ttdoc">This function is used to enable the Timer capture trigger interrupt function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd0/timer_8h_source.html#l00197">timer.h:197</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad445a69f7f52303a643e5f9387a558c3"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad445a69f7f52303a643e5f9387a558c3">TIMER_EnableWakeup</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_EnableWakeup(TIMER_T *timer)</div><div class="ttdoc">This function is used to enable the Timer wake-up function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd0/timer_8h_source.html#l00115">timer.h:115</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaefa1dedc6523e6c1988cde80a514957e"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaefa1dedc6523e6c1988cde80a514957e">TIMER_GetIntFlag</a></div><div class="ttdeci">__STATIC_INLINE uint32_t TIMER_GetIntFlag(TIMER_T *timer)</div><div class="ttdoc">This function indicates Timer time-out interrupt occurred or not.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd0/timer_8h_source.html#l00219">timer.h:219</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaf78a85b8781c5cba0d3dfaa30b9c1248"><div class="ttname"><a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf78a85b8781c5cba0d3dfaa30b9c1248">TIMER_ClearWakeupFlag</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_ClearWakeupFlag(TIMER_T *timer)</div><div class="ttdoc">This function clears the Timer wakeup interrupt flag.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd0/timer_8h_source.html#l00273">timer.h:273</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga1b93de0ad6cd08676926bcff6888c10d"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga1b93de0ad6cd08676926bcff6888c10d">TIMER_T::IER</a></div><div class="ttdeci">__IO uint32_t IER</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09226">Nano1X2Series.h:9226</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga7f5ea6a1af3b26e732ffec08d4d519f5"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga7f5ea6a1af3b26e732ffec08d4d519f5">TIMER_T::DR</a></div><div class="ttdeci">__IO uint32_t DR</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09287">Nano1X2Series.h:9287</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_gaa7679f758ebbdcf746f8b03195364b47"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa7679f758ebbdcf746f8b03195364b47">TIMER_T::ISR</a></div><div class="ttdeci">__IO uint32_t ISR</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09263">Nano1X2Series.h:9263</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_gabb8d9df4695b742a04b52a7a64594322"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gabb8d9df4695b742a04b52a7a64594322">TIMER_T::CTL</a></div><div class="ttdeci">__IO uint32_t CTL</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09178">Nano1X2Series.h:9178</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_gac4508d4ae8dda154e5e796090fcafff3"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gac4508d4ae8dda154e5e796090fcafff3">TIMER_T::TCAP</a></div><div class="ttdeci">__I uint32_t TCAP</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09302">Nano1X2Series.h:9302</a></div></div>
<div class="ttc" id="astruct_t_i_m_e_r___t_html"><div class="ttname"><a href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09027">Nano1X2Series.h:9028</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:30 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
